# 获取项目中追加销售的信息

检索项目中追加销售的信息：是否启用、追加销售的类型以及属于此追加销售的商品SKU列表。

Endpoint: GET /v2/project/{project_id}/admin/items/upsell
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    项目ID。您可以在发布商帐户的项目名称旁找到此参数；使用项目时，也可以在浏览器地址栏中找到此参数。URL格式如下：https://publisher.xsolla.com//projects/。
    Example: 44056

## Response 200 fields (application/json):

  - `is_enabled` (boolean)
    Whether upsell is enabled for the project.
    Example: true

  - `type` (string)
    The type of upsell.
    Enum: "fixed_list", "most_sellable", "only_promotions"

  - `items` (array)
    The list of items SKU that are a part of the upsell in the project.
    Example: [{"item_id":1,"sku":"com.xsolla.booster_mega_1","name":{"en":"Item's name","de":"Name des Artikels"},"type":"virtual_good"}]

  - `items.item_id` (integer)
    内部唯一商品ID。

  - `items.sku` (string)
    唯一商品ID。SKU只能包含大小写英文字母、数字、句点、短横线和下划线。

  - `items.type` (string)
    商品类型：virtual_good/virtual_currency/bundle/unit。

  - `items.name` (object,null)
    包含商品本地化名称的对象。值接受以下两种格式之一：两个小写字母的语言代码（例如，en）或五个字符的语言代码（例如，en-US）。虽然两种格式都可作为输入接受，但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时（例如：en和en-US），将存储最后提供的值。您可以在[文档](/zh/doc/shop-builder/references/supported-languages/)中找到支持语言的完整列表。

  - `items.bundle_type` (string)
    捆绑包类型。当商品类型为捆绑包时返回。
    Enum: "standard", "virtual_currency_package", "partner_side_content"

  - `items.unit_type` (string)
    单元类型：game。

  - `items.unit_items` (array)
    Game keys for different DRMs.

  - `items.unit_items.item_id` (integer)
    内部唯一商品ID。

  - `items.unit_items.sku` (string)
    唯一商品ID。SKU只能包含大小写英文字母、数字、句点、短横线和下划线。

  - `items.unit_items.type` (string)
    商品类型：virtual_good/virtual_currency/bundle/unit。

  - `items.unit_items.name` (object,null)
    包含商品本地化名称的对象。值接受以下两种格式之一：两个小写字母的语言代码（例如，en）或五个字符的语言代码（例如，en-US）。虽然两种格式都可作为输入接受，但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时（例如：en和en-US），将存储最后提供的值。您可以在[文档](/zh/doc/shop-builder/references/supported-languages/)中找到支持语言的完整列表。

  - `items.unit_items.drm_name` (string)
    游戏Key DRM名称。

  - `items.unit_items.drm_sku` (string)
    DRM唯一ID。

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1501

  - `errorMessage` (string)
    Example: "[0401-1501]: Authorization failed: Provide authorization"


